/*****************************************************************************
/*
/*            INSTITUTO NACIONAL PARA LA EVALUACIN DE LA EDUCACIN
/*             UNIDAD DE EVALUACIN DEL SISTEMA EDUCATIVO NACIONAL
/*             DIRECCIN GENERAL DE MEDICIN Y TRATAMIENTO DE DATOS
/*
/*                      DIRECCIN DE TRATAMIENTO DE DATOS
/*
/*_____________________________________________________________________________
/*
/*            EXAMENES DE LA CALIDAD Y EL LOGRO EDUCATIVOS (Excale)
/*                     SEXTO GRADO DE PRIMARIA (Excale 06)
/*
/*                             **** MATEMTICAS ****
/*
/*                      Ciclo escolar evaluado: 2012 - 2013
/*_____________________________________________________________________________
/*
/*
/*            SINTAXIS PARA CONSTRUIR LA BASE DE DATOS DE ALUMNOS DE
/*                         MATEMTICAS EN FORMATO SAS
/*_____________________________________________________________________________
/*
/*  El programa convierte al archivo Excale06_2013_Alum_Mat.txt, el cual est en
/*  formato ASCII, en una base de datos en formato SAS. El programa realiza las
/*  siguientes tareas:
/*   - Declara formatos para algunas variables
/*   - Lee las variables del archivo en formato ASCII
/*   - Declara los valores considerados en el anlisis como perdidos (missing values)
/*
/* INSTRUCCIONES
/*  Para construir la base de datos (tabla de datos) es necesario:
/*      1) Crear una carpeta de trabajo y colocar en ella al archivo Excale06_2013_Alum_Mat.txt
/*         as como el archivo Excale06_2013_Alum_Mat.SAS (este archivo) los cules se pueden
/*         descargar del sitio web del INEE (www.inee.edu.mx).
/*      2) Modificar la primera y segunda lnea de los comandos de este archivo
/*         (libname y filename) para actualizar el nombre de la librera y el archivo
/*         de trabajo.
/*      3) Ejecutar el programa del archivo.
/*
/*  Al finalizar, se deber contar con la base de datos (tabla de datos) Excale06_2013_Alum_Mat.sas7bdat
/*
/*  Posteriormente, cuando se desee utilizar nuevamente la base Excale06_2013_Alum_Mat.sas7bdat,
/*  se deber ejecutar primero el procedimiento FORMAT ("proc FORMAT") de este programa para que
/*  SAS cargue los formatos necesarios para abrir la base.
/*
/* CONTACTO:
/*
/*      Para mayor informacin o aclaracin de dudas favor de contactar a la
/*      Direccin de Tratamiento de Datos
/*      Correo electrnico: excale.analisis@inee.edu.mx
/*      Tel 5482 0900 Ext. 32025
/*      Domicilio: Av. Barranca del Muerto no. 341, 3er piso. Col. San Jos Insurgentes
/*                 Del. Benito Jurez. Mxico. D.F.
/*
/* FECHA DE LIBERACIN: 12 DE DICIEMBRE DEL 2014
/*
/*  ****************************************************************************/

LIBNAME  INEE  "C:\***\";
FILENAME alum  "C:\***\Excale06_2013_Alum_Mat.TXT";

PROC FORMAT;
     VALUE id_entF     1         ="Aguascalientes"
                       2         ="Baja California"
                       3         ="Baja California Sur"
                       4         ="Campeche"
                       5         ="Coahuila"
                       6         ="Colima"
                       7         ="Chiapas"
                       8         ="Chihuahua"
                       9         ="Distrito Federal"
                       10        ="Durango"
                       11        ="Guanajuato"
                       12        ="Guerrero"
                       13        ="Hidalgo"
                       14        ="Jalisco"
                       15        ="Mxico"
                       16        ="Michoacn"
                       17        ="Morelos"
                       18        ="Nayarit"
                       19        ="Nuevo Len"
                       20        ="Oaxaca"
                       21        ="Puebla"
                       22        ="Quertaro"
                       23        ="Quintana Roo"
                       24        ="San Luis Potos"
                       25        ="Sinaloa"
                       26        ="Sonora"
                       27        ="Tabasco"
                       28        ="Tamaulipas"
                       29        ="Tlaxcala"
                       30        ="Veracruz"
                       31        ="Yucatn"
                       32        ="Zacatecas";
     VALUE id_modF     1         ="Urbana Pblica"
                       2         ="Rural Pblica"
                       3         ="Educacin Indgena"
                       4         ="Curso Comunitario"
                       5         ="Privada"
                       6         ="General"
                       7         ="Tcnica"
                       8         ="Telesecundaria"
                       9         ="Privada";
     VALUE $modF       "UP"      ="Urbano Pblico"
                       "RP"      ="Rural Pblico"
                       "EI"      ="Educacin Indgena"
                       "CC"      ="Cursos Comunitarios"
                       "UPV"     ="Privados"
                       "GRAL"    ="General"
                       "TEC"     ="Tcnica"
                       "TV"      ="Telesecundaria"
                       "PRIV"    ="Privada";
     VALUE $entestF    "999"     ="Respuesta omitida";
     VALUE sexoF       1         ="Hombre"
                       2         ="Mujer"
                       8         ="Respuesta mltiple"
                       9         ="Respuesta omitida";
     VALUE edad_acF    98        ="Respuesta mltiple"
                       99        ="Respuesta omitida";
     VALUE mes_nacF    1         ="Enero"
                       2         ="Febrero"
                       3         ="Marzo"
                       4         ="Abril"
                       5         ="Mayo"
                       6         ="Junio"
                       7         ="Julio"
                       8         ="Agosto"
                       9         ="Septiembre"
                       10        ="Octubre"
                       11        ="Noviembre"
                       12        ="Diciembre"
                       98        ="Respuesta mltiple"
                       99        ="Respuesta omitida";
     VALUE edadF       99        ="Respuesta omitida";
     VALUE edadCF      1         ="11 aos o menos"
                       2         ="12 aos"
                       3         ="13 aos"
                       4         ="14 aos o ms"
                       9         ="Respuesta omitida";
     VALUE edadNF      1         ="Edad normativa"
                       2         ="Extra-edad"
                       9         ="Respuesta omitida";
     VALUE edadAF      0         ="Sin edad anticipada"
                       1         ="Edad anticipada"
                       9         ="Respuesta omitida";
     VALUE edadEF      0         ="Sin extra edad severa"
                       1         ="Extra edad severa"
                       9         ="Respuesta omitida";
     VALUE docenF      99999     ="Respuesta omitida";
     VALUE reactF      0         ="Fallo"
                       1         ="Acierto"
                       5         ="Reactivo no alcanzado (se considera como no administrado)"
                       6         ="Reactivo no administrado por error de impresin"
                       7         ="Reactivo no administrado (No se incluy en su cuadernillo de examen)";
     VALUE nvlF        1         ="Por debajo del nivel bsico"
                       2         ="Bsico"
                       3         ="Medio"
                       4         ="Avanzado";
     VALUE nvblF       0         ="Por debajo del nivel bsico"
                       1         ="Al menos el nivel bsico";
     VALUE nvmlF       0         ="Por debajo del nivel medio"
                       1         ="Al menos el nivel medio";
RUN;



DATA INEE.Excale06_2013_Alum_Mat;
   LENGTH
       NACIONAL         3
       ESCUELA          4
       ID_ENT           3
       NOM_ENT          $19
       ID_MOD           3
       MOD              $4
       ESTRATO          $7
       ENTEST           $6
       ALUMNO           5
       ID_INSTR         $15
       SEXO             3
       EDAD_AC          3
       MES_NAC          3
       EDAD             8
       EDAD_ACC         3
       EDAD_N           3
       EDAD_ANT         3
       EDAD_EES         3
       W_ALU            8
       DOCENTE          5
       PMA_01           3
       PMA_02           3
       PMA_03           3
       PMA_04           3
       PMA_05           3
       PMA_06           3
       PMA_07           3
       PMA_08           3
       PMA_09           3
       PMA_10           3
       PMA_11           3
       PMA_12           3
       PMB_01           3
       PMB_02           3
       PMB_03           3
       PMB_04           3
       PMB_05           3
       PMB_06           3
       PMB_07           3
       PMB_08           3
       PMB_09           3
       PMB_10           3
       PMB_11           3
       PMB_12           3
       PMC_01           3
       PMC_02           3
       PMC_03           3
       PMC_04           3
       PMC_05           3
       PMC_06           3
       PMC_07           3
       PMC_08           3
       PMC_09           3
       PMC_10           3
       PMC_11           3
       PMC_12           3
       PMD_01           3
       PMD_02           3
       PMD_03           3
       PMD_04           3
       PMD_05           3
       PMD_06           3
       PMD_07           3
       PMD_08           3
       PMD_09           3
       PMD_10           3
       PMD_11           3
       PMD_12           3
       PME_01           3
       PME_02           3
       PME_03           3
       PME_04           3
       PME_05           3
       PME_06           3
       PME_07           3
       PME_08           3
       PME_09           3
       PME_10           3
       PME_11           3
       PME_12           3
       PME_13           3
       PV1MAT           8
       PV2MAT           8
       PV3MAT           8
       PV4MAT           8
       PV5MAT           8
       MATNVL1          3
       MATNVL2          3
       MATNVL3          3
       MATNVL4          3
       MATNVL5          3
       MATNVBL1         3
       MATNVBL2         3
       MATNVBL3         3
       MATNVBL4         3
       MATNVBL5         3
       MATNVML1         3
       MATNVML2         3
       MATNVML3         3
       MATNVML4         3
       MATNVML5         3
       WVARSTRR         3
       W_FSTR1          8
       W_FSTR2          8
       W_FSTR3          8
       W_FSTR4          8
       W_FSTR5          8
       W_FSTR6          8
       W_FSTR7          8
       W_FSTR8          8
       W_FSTR9          8
       W_FSTR10         8
       W_FSTR11         8
       W_FSTR12         8
       W_FSTR13         8
       W_FSTR14         8
       W_FSTR15         8
       W_FSTR16         8
       W_FSTR17         8
       W_FSTR18         8
       W_FSTR19         8
       W_FSTR20         8
       W_FSTR21         8
       W_FSTR22         8
       W_FSTR23         8
       W_FSTR24         8
       W_FSTR25         8
       W_FSTR26         8
       W_FSTR27         8
       W_FSTR28         8
       W_FSTR29         8
       W_FSTR30         8
       W_FSTR31         8
       W_FSTR32         8
       W_FSTR33         8
       W_FSTR34         8
       W_FSTR35         8
       W_FSTR36         8
       W_FSTR37         8
       W_FSTR38         8
       W_FSTR39         8
       W_FSTR40         8
       W_FSTR41         8
       W_FSTR42         8
       W_FSTR43         8
       W_FSTR44         8
       W_FSTR45         8
       W_FSTR46         8
       W_FSTR47         8
       W_FSTR48         8
       W_FSTR49         8
       W_FSTR50         8
       W_FSTR51         8
       W_FSTR52         8
       W_FSTR53         8
       W_FSTR54         8
       W_FSTR55         8
       W_FSTR56         8
       W_FSTR57         8
       W_FSTR58         8
       W_FSTR59         8
       W_FSTR60         8
       W_FSTR61         8
       W_FSTR62         8
       W_FSTR63         8
       W_FSTR64         8
       W_FSTR65         8
       W_FSTR66         8
       W_FSTR67         8
       W_FSTR68         8
       W_FSTR69         8
       W_FSTR70         8
       W_FSTR71         8
       W_FSTR72         8
       W_FSTR73         8
       W_FSTR74         8
       W_FSTR75         8
       W_FSTR76         8
       W_FSTR77         8
       W_FSTR78         8
       W_FSTR79         8
       W_FSTR80         8
       W_FSTR81         8
       W_FSTR82         8
       W_FSTR83         8
       W_FSTR84         8
       W_FSTR85         8
       W_FSTR86         8
       W_FSTR87         8
       W_FSTR88         8
       W_FSTR89         8
       W_FSTR90         8
       W_FSTR91         8
       W_FSTR92         8
       W_FSTR93         8
       W_FSTR94         8
       W_FSTR95         8
       W_FSTR96         8
       W_FSTR97         8
       W_FSTR98         8
       W_FSTR99         8
       W_FSTR100        8

 ;



INFILE alum MISSOVER LINESIZE = 1318;
   INPUT
      NACIONAL            1 - 1
      ESCUELA             2 - 5
      ID_ENT              6 - 7
      NOM_ENT             8 - 26
      ID_MOD             27 - 27
      MOD                28 - 31
      ESTRATO            32 - 38
      ENTEST             39 - 43
      ALUMNO             44 - 48
      ID_INSTR           49 - 63
      SEXO               64 - 64
      EDAD_AC            65 - 66
      MES_NAC            67 - 68
      EDAD               69 - 79
      EDAD_ACC           80 - 80
      EDAD_N             81 - 81
      EDAD_ANT           82 - 82
      EDAD_EES           83 - 83
      W_ALU              84 - 94
      DOCENTE            95 - 99
      PMA_01            100 - 100
      PMA_02            101 - 101
      PMA_03            102 - 102
      PMA_04            103 - 103
      PMA_05            104 - 104
      PMA_06            105 - 105
      PMA_07            106 - 106
      PMA_08            107 - 107
      PMA_09            108 - 108
      PMA_10            109 - 109
      PMA_11            110 - 110
      PMA_12            111 - 111
      PMB_01            112 - 112
      PMB_02            113 - 113
      PMB_03            114 - 114
      PMB_04            115 - 115
      PMB_05            116 - 116
      PMB_06            117 - 117
      PMB_07            118 - 118
      PMB_08            119 - 119
      PMB_09            120 - 120
      PMB_10            121 - 121
      PMB_11            122 - 122
      PMB_12            123 - 123
      PMC_01            124 - 124
      PMC_02            125 - 125
      PMC_03            126 - 126
      PMC_04            127 - 127
      PMC_05            128 - 128
      PMC_06            129 - 129
      PMC_07            130 - 130
      PMC_08            131 - 131
      PMC_09            132 - 132
      PMC_10            133 - 133
      PMC_11            134 - 134
      PMC_12            135 - 135
      PMD_01            136 - 136
      PMD_02            137 - 137
      PMD_03            138 - 138
      PMD_04            139 - 139
      PMD_05            140 - 140
      PMD_06            141 - 141
      PMD_07            142 - 142
      PMD_08            143 - 143
      PMD_09            144 - 144
      PMD_10            145 - 145
      PMD_11            146 - 146
      PMD_12            147 - 147
      PME_01            148 - 148
      PME_02            149 - 149
      PME_03            150 - 150
      PME_04            151 - 151
      PME_05            152 - 152
      PME_06            153 - 153
      PME_07            154 - 154
      PME_08            155 - 155
      PME_09            156 - 156
      PME_10            157 - 157
      PME_11            158 - 158
      PME_12            159 - 159
      PME_13            160 - 160
      PV1MAT            161 - 168
      PV2MAT            169 - 176
      PV3MAT            177 - 184
      PV4MAT            185 - 192
      PV5MAT            193 - 200
      MATNVL1           201 - 201
      MATNVL2           202 - 202
      MATNVL3           203 - 203
      MATNVL4           204 - 204
      MATNVL5           205 - 205
      MATNVBL1          206 - 206
      MATNVBL2          207 - 207
      MATNVBL3          208 - 208
      MATNVBL4          209 - 209
      MATNVBL5          210 - 210
      MATNVML1          211 - 211
      MATNVML2          212 - 212
      MATNVML3          213 - 213
      MATNVML4          214 - 214
      MATNVML5          215 - 215
      WVARSTRR          216 - 218
      W_FSTR1           219 - 229
      W_FSTR2           230 - 240
      W_FSTR3           241 - 251
      W_FSTR4           252 - 262
      W_FSTR5           263 - 273
      W_FSTR6           274 - 284
      W_FSTR7           285 - 295
      W_FSTR8           296 - 306
      W_FSTR9           307 - 317
      W_FSTR10          318 - 328
      W_FSTR11          329 - 339
      W_FSTR12          340 - 350
      W_FSTR13          351 - 361
      W_FSTR14          362 - 372
      W_FSTR15          373 - 383
      W_FSTR16          384 - 394
      W_FSTR17          395 - 405
      W_FSTR18          406 - 416
      W_FSTR19          417 - 427
      W_FSTR20          428 - 438
      W_FSTR21          439 - 449
      W_FSTR22          450 - 460
      W_FSTR23          461 - 471
      W_FSTR24          472 - 482
      W_FSTR25          483 - 493
      W_FSTR26          494 - 504
      W_FSTR27          505 - 515
      W_FSTR28          516 - 526
      W_FSTR29          527 - 537
      W_FSTR30          538 - 548
      W_FSTR31          549 - 559
      W_FSTR32          560 - 570
      W_FSTR33          571 - 581
      W_FSTR34          582 - 592
      W_FSTR35          593 - 603
      W_FSTR36          604 - 614
      W_FSTR37          615 - 625
      W_FSTR38          626 - 636
      W_FSTR39          637 - 647
      W_FSTR40          648 - 658
      W_FSTR41          659 - 669
      W_FSTR42          670 - 680
      W_FSTR43          681 - 691
      W_FSTR44          692 - 702
      W_FSTR45          703 - 713
      W_FSTR46          714 - 724
      W_FSTR47          725 - 735
      W_FSTR48          736 - 746
      W_FSTR49          747 - 757
      W_FSTR50          758 - 768
      W_FSTR51          769 - 779
      W_FSTR52          780 - 790
      W_FSTR53          791 - 801
      W_FSTR54          802 - 812
      W_FSTR55          813 - 823
      W_FSTR56          824 - 834
      W_FSTR57          835 - 845
      W_FSTR58          846 - 856
      W_FSTR59          857 - 867
      W_FSTR60          868 - 878
      W_FSTR61          879 - 889
      W_FSTR62          890 - 900
      W_FSTR63          901 - 911
      W_FSTR64          912 - 922
      W_FSTR65          923 - 933
      W_FSTR66          934 - 944
      W_FSTR67          945 - 955
      W_FSTR68          956 - 966
      W_FSTR69          967 - 977
      W_FSTR70          978 - 988
      W_FSTR71          989 - 999
      W_FSTR72         1000 - 1010
      W_FSTR73         1011 - 1021
      W_FSTR74         1022 - 1032
      W_FSTR75         1033 - 1043
      W_FSTR76         1044 - 1054
      W_FSTR77         1055 - 1065
      W_FSTR78         1066 - 1076
      W_FSTR79         1077 - 1087
      W_FSTR80         1088 - 1098
      W_FSTR81         1099 - 1109
      W_FSTR82         1110 - 1120
      W_FSTR83         1121 - 1131
      W_FSTR84         1132 - 1142
      W_FSTR85         1143 - 1153
      W_FSTR86         1154 - 1164
      W_FSTR87         1165 - 1175
      W_FSTR88         1176 - 1186
      W_FSTR89         1187 - 1197
      W_FSTR90         1198 - 1208
      W_FSTR91         1209 - 1219
      W_FSTR92         1220 - 1230
      W_FSTR93         1231 - 1241
      W_FSTR94         1242 - 1252
      W_FSTR95         1253 - 1263
      W_FSTR96         1264 - 1274
      W_FSTR97         1275 - 1285
      W_FSTR98         1286 - 1296
      W_FSTR99         1297 - 1307
      W_FSTR100        1308 - 1318
;




   LABEL
      NACIONAL        = "Variable auxiliar para obtener promedios nacionales"
      ESCUELA         = "Identificador de la escuela"
      ID_ENT          = "Entidad federativa (identificador numrico)"
      NOM_ENT         = "Entidad federativa"
      ID_MOD          = "Estrato escolar o Modalidad educativa (identificador numrico)"
      MOD             = "Estrato escolar o Modalidad educativa"
      ESTRATO         = "Estrato de muestreo. Se construy con ENTIDAD, MODALIDAD. No es comn a todas las tablas pues en algunos casos se colapsaron registros"
      ENTEST          = "Estratos del diseo muestral con el que se estiman los parmetros y errores estndar (Entidad federativa-Modalidad)"
      ALUMNO          = "Identificador del alumno"
      ID_INSTR        = "Identificador del cuadernillo de examen"
      SEXO            = "Sexo del alumno"
      EDAD_AC         = "Edad en aos cumplidos (al momento de la aplicacin)"
      MES_NAC         = "Mes de nacimiento del alumno"
      EDAD            = "Edad del alumno al mes de mayo de 2013, en aos (al momento de la aplicacin). Incluye los meses cumplidos (decimales)"
      EDAD_ACC        = "Edad en aos cumplidos codificada (con recodificacin y colapsamiento de categoras de la variable EDAD_AC)"
      EDAD_N          = "Edad normativa. Supone el ingreso al primero de primaria con 6 aos cumplidos (o menos) al primero de septiembre"
      EDAD_ANT        = "Edad anticipada. Variable indicadora de los alumnos que ingresaron al primero de primaria con menos de 6 aos cumplidos al primero de septiembre"
      EDAD_EES        = "Extra edad severa. Variable indicadora de los alumnos que tienen dos aos o ms de retraso en el sistema escolar"
      W_ALU           = "Peso muestral o ponderador del alumno"
      DOCENTE         = "Identificador del docente que imparte clases al alumno"
      PMA_01          = "Identificar la escritura con cifras de un nmero decimal."
      PMA_02          = "Identificar la regla de una sucesin dada."
      PMA_03          = "Identificar el dcimo trmino de una sucesin aritmtica."
      PMA_04          = "Resolver un problema aditivo con nmeros fraccionarios."
      PMA_05          = "Identificar la operacin que resuelve un problema que relaciona magnitudes del mismo tipo."
      PMA_06          = "Resolver problemas de reparto con la incgnita en la cantidad de objetos a repartir."
      PMA_07          = "Identificar rectas en una figura geomtrica."
      PMA_08          = "Resolver problemas de conversin de medidas de longitud en el SIM."
      PMA_09          = "Identificar  un tringulo por sus caractersticas."
      PMA_10          = "Identificar el punto de llegada a partir de la descripcin de una trayectoria."
      PMA_11          = "Resolver problemas de conversin de medidas de tiempo."
      PMA_12          = "Resolver problemas de valor faltante donde las razones internas son dobles o triples y no se da el valor unitario."
      PMB_01          = "Identificar la representacin numrica de un nmero fraccionario dado en forma grfica."
      PMB_02          = "Comparar nmeros fraccionarios."
      PMB_03          = "Identificar las caractersticas de un cuadriltero."
      PMB_04          = "Resolver problemas aditivos con nmeros decimales."
      PMB_05          = "Resolver problemas que implican dividir un nmero fraccionario entre un nmero natural."
      PMB_06          = "Resolver problemas de reparto donde la incgnita es el resultado del reparto."
      PMB_07          = "Identificar la sucesin dada la regla que la genera."
      PMB_08          = "Identificar tipos de rectas."
      PMB_09          = "Resolver problemas que impliquen obtener la mediana en un conjunto de datos en una grfica."
      PMB_10          = "Identificar la moda de un conjunto de datos representados en una tabla."
      PMB_11          = "Leer informacin implcita que se presenta en una grfica de barras."
      PMB_12          = "Resolver problemas de comparar razones empleando cantidades discretas."
      PMC_01          = "Comparar nmeros naturales."
      PMC_02          = "Resolver problemas aditivos de nmeros decimales variando el lugar de la incgnita."
      PMC_03          = "Resolver problemas que implican una multiplicacin con nmeros naturales."
      PMC_04          = "Resolver problemas que implican una multiplicacin de nmeros fraccionarios por naturales."
      PMC_05          = "Identificar tipos de ngulos."
      PMC_06          = "Identificar tipos de ngulos en una figura geomtrica."
      PMC_07          = "Identificar en un plano cartesiano sin graduacin de los ejes, las coordenadas de un punto, dadas las coordenadas de otro punto."
      PMC_08          = "Resolver problemas de conversin de medidas de capacidad en el SIM."
      PMC_09          = "Resolver problemas de conversin  de medidas de capacidad entre el SIM y el SI."
      PMC_10          = "Identificar la unidad de medida de longitud en la resolucin de un problema."
      PMC_11          = "Resolver problemas de valor faltante en los que la razn externa es un nmero natural y la razn interna no son dobles o triples y no se da el valor unitario."
      PMC_12          = "Identificar la grfica de barras que representa a un conjunto de datos dados en una tabla."
      PMD_01          = "Identificar la escritura con cifras de un nmero natural de ms de seis dgitos dado su nombre."
      PMD_02          = "Identificar el trmino que sigue en una sucesin aritmtica."
      PMD_03          = "Resolver un problema aditivo con nmeros naturales."
      PMD_04          = "Resolver problemas que implican una divisin entre un nmero decimal y un natural."
      PMD_05          = "Resolver problemas de conversin de medidas de longitud del SIM y el SI."
      PMD_06          = "Identificar la operacin que resuelve un problema de reparto."
      PMD_07          = "Identificar un cuerpo geomtrico por el nmero de caras, aristas y vrtices."
      PMD_08          = "Calcular el rea de una figura geomtrica (Trapecio)."
      PMD_09          = "Resolver problemas que implican comparar razones empleando cantidades continuas."
      PMD_10          = "Identificar el desarrollo plano de un cuerpo geomtrico (Pirmide)."
      PMD_11          = "Identificar las coordenadas de un objeto."
      PMD_12          = "Obtener la distancia real de un punto a otro en un mapa dada la escala."
      PME_01          = "Comparar nmeros decimales."
      PME_02          = "Resolver problemas que implican multiplicar nmeros decimales por naturales."
      PME_03          = "Resolver problemas de reparto en los que la incgnita sea el nmero entre el cual se reparte."
      PME_04          = "Resolver problemas de conversin de medidas de peso en el SIM."
      PME_05          = "Identificar un objeto dadas sus coordenadas."
      PME_06          = "Resolver problemas de conversin de medidas de peso entre el SIM y el SI."
      PME_07          = "Calcular el permetro de una figura geomtrica (Cuadriltero)."
      PME_08          = "Resolver problemas aditivos con nmeros fraccionarios variando la estructura del problema."
      PME_09          = "Calcular el rea de una figura geomtrica (Tringulo)."
      PME_10          = "Obtener la media de un conjunto de datos."
      PME_11          = "Calcular el tanto por ciento de una cantidad."
      PME_12          = "Identificar diferentes formas de representar un porcentaje (fraccin comn, porciento o decimal)."
      PME_13          = "Resolver problemas de valor faltante donde la razn interna o externa es un nmero natural y se da el valor unitario."
      PV1MAT          = "Primer valor plausible de Matemticas"
      PV2MAT          = "Segundo valor plausible de Matemticas"
      PV3MAT          = "Tercer valor plausible de Matemticas"
      PV4MAT          = "Cuarto valor plausible de Matemticas"
      PV5MAT          = "Quinto valor plausible de Matemticas"
      MATNVL1         = "Nivel de logro en Matemticas. Asociado a PV1MAT. (Cuatro niveles)"
      MATNVL2         = "Nivel de logro en Matemticas. Asociado a PV2MAT. (Cuatro niveles)"
      MATNVL3         = "Nivel de logro en Matemticas. Asociado a PV3MAT. (Cuatro niveles)"
      MATNVL4         = "Nivel de logro en Matemticas. Asociado a PV4MAT. (Cuatro niveles)"
      MATNVL5         = "Nivel de logro en Matemticas. Asociado a PV5MAT. (Cuatro niveles)"
      MATNVBL1        = "Identifica si el alumno pertenece al menos al nivel bsico de logro en Matemticas. Asociado a PV1MAT."
      MATNVBL2        = "Identifica si el alumno pertenece al menos al nivel bsico de logro en Matemticas. Asociado a PV2MAT."
      MATNVBL3        = "Identifica si el alumno pertenece al menos al nivel bsico de logro en Matemticas. Asociado a PV3MAT."
      MATNVBL4        = "Identifica si el alumno pertenece al menos al nivel bsico de logro en Matemticas. Asociado a PV4MAT."
      MATNVBL5        = "Identifica si el alumno pertenece al menos al nivel bsico de logro en Matemticas. Asociado a PV5MAT."
      MATNVML1        = "Identifica si el alumno pertenece al menos al nivel medio de logro en Matemticas. Asociado a PV1MAT."
      MATNVML2        = "Identifica si el alumno pertenece al menos al nivel medio de logro en Matemticas. Asociado a PV2MAT."
      MATNVML3        = "Identifica si el alumno pertenece al menos al nivel medio de logro en Matemticas. Asociado a PV3MAT."
      MATNVML4        = "Identifica si el alumno pertenece al menos al nivel medio de logro en Matemticas. Asociado a PV4MAT."
      MATNVML5        = "Identifica si el alumno pertenece al menos al nivel medio de logro en Matemticas. Asociado a PV5MAT."
      WVARSTRR        = "Identificador del pseudoestrato (1 a 100) definido para el clculo de errores estndar con el mtodo de remuestreo BRR"
      W_FSTR1         = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR2         = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR3         = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR4         = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR5         = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR6         = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR7         = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR8         = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR9         = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR10        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR11        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR12        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR13        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR14        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR15        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR16        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR17        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR18        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR19        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR20        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR21        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR22        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR23        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR24        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR25        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR26        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR27        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR28        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR29        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR30        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR31        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR32        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR33        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR34        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR35        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR36        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR37        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR38        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR39        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR40        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR41        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR42        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR43        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR44        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR45        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR46        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR47        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR48        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR49        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR50        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR51        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR52        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR53        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR54        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR55        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR56        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR57        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR58        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR59        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR60        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR61        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR62        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR63        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR64        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR65        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR66        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR67        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR68        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR69        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR70        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR71        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR72        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR73        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR74        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR75        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR76        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR77        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR78        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR79        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR80        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR81        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR82        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR83        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR84        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR85        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR86        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR87        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR88        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR89        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR90        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR91        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR92        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR93        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR94        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR95        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR96        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR97        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR98        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR99        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR100       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
;






   FORMAT
       NACIONAL          1.
       ESCUELA           4.
       ID_ENT            id_entF.
       NOM_ENT           $char19.
       ID_MOD            id_modF.
       MOD               $modF.
       ESTRATO           $char7.
       ENTEST            $entestF.
       ALUMNO            5.
       ID_INSTR          $char15.
       SEXO              sexoF.
       EDAD_AC           edad_acF.
       MES_NAC           mes_nacF.
       EDAD              edadF.
       EDAD_ACC          edadCF.
       EDAD_N            edadNF.
       EDAD_ANT          edadAF.
       EDAD_EES          edadEF.
       DOCENTE           docenF.
       PMA_01            reactF.
       PMA_02            reactF.
       PMA_03            reactF.
       PMA_04            reactF.
       PMA_05            reactF.
       PMA_06            reactF.
       PMA_07            reactF.
       PMA_08            reactF.
       PMA_09            reactF.
       PMA_10            reactF.
       PMA_11            reactF.
       PMA_12            reactF.
       PMB_01            reactF.
       PMB_02            reactF.
       PMB_03            reactF.
       PMB_04            reactF.
       PMB_05            reactF.
       PMB_06            reactF.
       PMB_07            reactF.
       PMB_08            reactF.
       PMB_09            reactF.
       PMB_10            reactF.
       PMB_11            reactF.
       PMB_12            reactF.
       PMC_01            reactF.
       PMC_02            reactF.
       PMC_03            reactF.
       PMC_04            reactF.
       PMC_05            reactF.
       PMC_06            reactF.
       PMC_07            reactF.
       PMC_08            reactF.
       PMC_09            reactF.
       PMC_10            reactF.
       PMC_11            reactF.
       PMC_12            reactF.
       PMD_01            reactF.
       PMD_02            reactF.
       PMD_03            reactF.
       PMD_04            reactF.
       PMD_05            reactF.
       PMD_06            reactF.
       PMD_07            reactF.
       PMD_08            reactF.
       PMD_09            reactF.
       PMD_10            reactF.
       PMD_11            reactF.
       PMD_12            reactF.
       PME_01            reactF.
       PME_02            reactF.
       PME_03            reactF.
       PME_04            reactF.
       PME_05            reactF.
       PME_06            reactF.
       PME_07            reactF.
       PME_08            reactF.
       PME_09            reactF.
       PME_10            reactF.
       PME_11            reactF.
       PME_12            reactF.
       PME_13            reactF.
       MATNVL1           nvlF.
       MATNVL2           nvlF.
       MATNVL3           nvlF.
       MATNVL4           nvlF.
       MATNVL5           nvlF.
       MATNVBL1          nvblF.
       MATNVBL2          nvblF.
       MATNVBL3          nvblF.
       MATNVBL4          nvblF.
       MATNVBL5          nvblF.
       MATNVML1          nvmlF.
       MATNVML2          nvmlF.
       MATNVML3          nvmlF.
       MATNVML4          nvmlF.
       MATNVML5          nvmlF.
       wvarstrr          3.
   ;

/**************************************************************************
/*  Definicin de valores perdidos
/*   .N o N = No Administrado o no alcanzado.
/*   .M o M = Respuesta Mltiple.
/*   .S o S = Respuesta omitida (No contestado).
/*************************************************************************/
   IF  sexo = 8 THEN  sexo = .M;
   IF  edad_ac = 98 THEN  edad_ac = .M;
   IF  mes_nac = 98 THEN  mes_nac = .M;
   IF  entest = "999" THEN  entest = .S;
   IF  Docente = 99999 THEN  Docente = .S;

   ARRAY perdidos1(5)  sexo edad_acc edad_n edad_ant edad_ant;
   DO  i=1 TO 5;
         IF perdidos1{i}=9 THEN  perdidos1{i}= .S;
   END;

   ARRAY perdidos2(3)  edad edad_ac mes_nac;
   DO  i=1 TO 3;
         IF perdidos2{i}=99 THEN  perdidos2{i}= .S;
   END;


   ARRAY perdidos3(61)
                PMA_01 PMA_02 PMA_03 PMA_04 PMA_05 PMA_06 PMA_07 PMA_08 PMA_09 PMA_10
                PMA_11 PMA_12 PMB_01 PMB_02 PMB_03 PMB_04 PMB_05 PMB_06 PMB_07 PMB_08
                PMB_09 PMB_10 PMB_11 PMB_12 PMC_01 PMC_02 PMC_03 PMC_04 PMC_05 PMC_06
                PMC_07 PMC_08 PMC_09 PMC_10 PMC_11 PMC_12 PMD_01 PMD_02 PMD_03 PMD_04
                PMD_05 PMD_06 PMD_07 PMD_08 PMD_09 PMD_10 PMD_11 PMD_12 PME_01 PME_02
                PME_03 PME_04 PME_05 PME_06 PME_07 PME_08 PME_09 PME_10 PME_11 PME_12
                PME_13;
   DO  i=1 TO 61;
          IF perdidos3{i} = 5   THEN  perdidos3{i} = .N;
          IF perdidos3{i} = 6   THEN  perdidos3{i} = .N;
          IF perdidos3{i} = 7   THEN  perdidos3{i} = .N;
          IF perdidos3{i} = 8   THEN  perdidos3{i} = .M;
          IF perdidos3{i} = 9   THEN  perdidos3{i} = .S;
   END;

   drop i;
RUN;
